Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.logging
[Java] Class Slf4j.Slf4jLoggingStrategy

    java.lang.Object
      LogASTTransformation.AbstractLoggingStrategy
          groovy.util.logging.Slf4j.Slf4jLoggingStrategy

    public static class Slf4j.Slf4jLoggingStrategy
    extends AbstractLoggingStrategy

Constructor Summary
`protected Slf4j.Slf4jLoggingStrategy(GroovyClassLoader loader)`

Method Summary
`FieldNode` | `addLoggerFieldToClass(ClassNode classNode, java.lang.String logFieldName)`
`boolean` | `isLoggingMethod(java.lang.String methodName)`
`Expression` | `wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)`

Constructor Detail

### Slf4j.Slf4jLoggingStrategy

    protected Slf4j.Slf4jLoggingStrategy(GroovyClassLoader loader)

Method Detail

### addLoggerFieldToClass

    public FieldNode addLoggerFieldToClass(ClassNode classNode, java.lang.String logFieldName)

### isLoggingMethod

    public boolean isLoggingMethod(java.lang.String methodName)

### wrapLoggingMethodCall

    public Expression wrapLoggingMethodCall(Expression logVariable, java.lang.String methodName, Expression originalExpression)

Groovy Documentation